## libmatroska-0.6.3.tar.gz

=== make/linux/Makefile ===
# libmatroska core Makefile (used in cygwin)
# $Id: Makefile,v 1.5 2004/01/05 11:28:43 mosu Exp $
# Author: Steve Lhomme <robux4 @ users.sf.net>
# Author: Moritz Bunkus <moritz @ bunkus.org>

#
# The library is built without debug information. If you want
# debug information to be included then compile with
# 'make DEBUG=yes'.
#

# Paths
prefix=/usr/local
libdir=$(prefix)/lib
includedir=$(prefix)/include/matroska

# Programs
CXX=g++
LD=g++
DEP=$(CXX) -MM
DEPEND = makedepend
AR = ar rcvu
RANLIB = ranlib
INSTALL = install
INSTALL_OPTS = -m 644
INSTALL_OPTS_LIB = -m 644
INSTALL_DIR_OPTS = -m 755

CWD=$(shell pwd)

# Options
LIBEBML_INCLUDE_DIR=$(CWD)/../../../libebml
LIBEBML_LIB_DIR=$(CWD)/../../../libebml/make/linux
EXTENSION=.cpp

ifeq (yes,$(DEBUG))
DEBUGFLAGS=-g -DDEBUG
endif
CXXFLAGS=$(DEBUGFLAGS) -Wall -Wno-unknown-pragmas -ansi -fno-gnu-keywords -D_GNU_SOURCE -Wshadow
LDFLAGS=-L. -L$(LIBEBML_LIB_DIR)

SRC_DIR=$(CWD)/../../src/
INCLUDE_DIR=$(CWD)/../../matroska
MUX_SRC_DIR=$(CWD)/../../test/mux/
TAG_SRC_DIR=$(CWD)/../../test/tags/

# Librarires
INCLUDE=-I$(CWD)/../.. -I$(LIBEBML_INCLUDE_DIR)
LIBS=
MUX_LIBS=-lmatroska -lebml $(LIBICONV)

# Names
LIBRARY=libmatroska.a

# source-files
sources:=$(wildcard ${SRC_DIR}*$(EXTENSION))

# header files; replace .cxx extension with .h
headers:=$(patsubst %$(EXTENSION),%.h,$(sources))

# files holding dependency information; replace .cxx extension with .dep
dependencies:=$(patsubst %$(EXTENSION),%.dep,$(sources))

# object files; replace .cxx extension with .o
objects:=$(patsubst %$(EXTENSION),%.o,$(sources))

DEPENDFLAGS  = ${CXXFLAGS} ${INCLUDE}

all: $(LIBRARY) test

lib library: $(LIBRARY)

# Build rules
%.o: %$(EXTENSION)
	$(CXX) -c $(CXXFLAGS) $(INCLUDE) -o $@ $<

$(LIBRARY): $(objects)
	$(AR) $@ $(objects)
	$(RANLIB) $@
#	$(LD) $(LDFLAGS) -o $@ $^ $(LIBS)
#	${LD} -o $@ ${LDFLAGS} ${OBJS} ${LIBS} ${EXTRA_LIBS}

clean:	cleantest
	rm -f $(objects)
	rm -f $(dependencies)
	rm -f $(LIBRARY)
	rm -f CORE

cleantest:
	rm -f test6 test8 test9 test6.o test8.o test9.o

# what are the source dependencies
depend: $(sources)
	$(DEPEND) $(DEPENDFLAGS) $(sources)

test: test6 test8 test9

test6:	test6.o $(LIBRARY)
	$(LD) -o $@ $(LDFLAGS) $< $(MUX_LIBS)

test6.o: $(MUX_SRC_DIR)test6.cpp
	$(CXX) -c $(CXXFLAGS) $(INCLUDE) -o $@ $<

test8:	test8.o $(LIBRARY)
	$(LD) -o $@ $(LDFLAGS) $< $(MUX_LIBS)

test8.o: $(MUX_SRC_DIR)test8.cpp
	$(CXX) -c $(CXXFLAGS) $(INCLUDE) -o $@ $<

test9:	test9.o $(LIBRARY)
	$(LD) -o $@ $(LDFLAGS) $< $(MUX_LIBS)

test9.o: $(TAG_SRC_DIR)test9.cpp
	$(CXX) -c $(CXXFLAGS) $(INCLUDE) -o $@ $<

install: $(LIBRARY)
	$(INSTALL) $(INSTALL_DIR_OPTS) -d $(libdir)
	$(INSTALL) $(INSTALL_OPTS_LIB) $(LIBRARY) $(libdir)
	$(INSTALL) $(INSTALL_DIR_OPTS) -d $(includedir)
	for i in $(INCLUDE_DIR)/*.h; do \
		$(INSTALL) $(INSTALL_OPTS) $$i $(includedir) ; \
	done
	$(INSTALL) $(INSTALL_DIR_OPTS) -d $(includedir)/c
	for i in $(INCLUDE_DIR)/c/*.h; do \
		$(INSTALL) $(INSTALL_OPTS) $$i $(includedir)/c ; \
	done

# DO NOT DELETE

=== make/mingw32/Makefile ===
# Project: libmatroska
# Makefile created by Dev-C++ 4.9.7.0

# Uncomment this if you want a static library.
# ATTENTION: Your app has to define MATROSKA_DLL !
SHARED = yes

# Compile with debug information?
#DEBUG = yes

# Where libebml resides
EBML_DIR = ../../../libebml

# Has libebml been compiled as a DLL?
EBML_DLL = yes

#
# Don't change anything below this line.
#
ifeq (yes,$(DEBUG))
DEBUGFLAGS=-g -DDEBUG
endif
CXX  = g++.exe
LD = g++.exe
WINDRES = windres.exe
RES  = 
SRC  = $(wildcard ../../src/*.cpp)
OBJ  = $(patsubst %.cpp,%.o,$(SRC))
ifeq (yes,$(SHARED))
LIBS = libmatroska.dll
CXXFLAGS = -DMATROSKA_DLL
DLLFLAGS = -DMATROSKA_DLL_EXPORT
else
LIBS = libmatroska.a
endif
ifeq (yes,$(EBML_DLL))
CXXFLAGS += -DEBML_DLL
endif
INCS = -I../.. -I$(EBML_DIR)
LDFLAGS = -L. -L$(EBML_DIR)/make/mingw32
CXXFLAGS += $(DEBUGFLAGS) $(INCS) 
TESTS = test6 test8 test9

.PHONY: all all-before all-after clean clean-custom

.cpp.o:
	$(CXX) $(DLLFLAGS) $(CXXFLAGS) -c -o $@ $<

all: lib tests

lib: $(LIBS)

tests: $(TESTS)

clean:
	rm -f $(OBJ) libmatroska.* *.exe ../../test/mux/*.o ../../test/tags/*.o

libmatroska.a: $(OBJ)
	ar r $@ $(OBJ)
	ranlib $@

libmatroska.dll: $(OBJ)
	$(CXX) -shared -Wl,--export-all -Wl,--out-implib=$@.a -o $@ $(OBJ) \
		$(LDFLAGS) -lebml

# Explicitely list these object files because for them
# MATROSKA_DLL_EXPORT must NOT be defined.
../../test/mux/test6.o: ../../test/mux/test6.cpp
	$(CXX) $(CXXFLAGS) -c -o $@ $<

test6:	../../test/mux/test6.o $(LIBS)
	$(LD) -o $@ $(LDFLAGS) $< -lmatroska -lebml

../../test/mux/test8.o: ../../test/mux/test8.cpp
	$(CXX) $(CXXFLAGS) -c -o $@ $<

test8:	../../test/mux/test8.o $(LIBS)
	$(LD) -o $@ $(LDFLAGS) $< -lmatroska -lebml

../../test/tags/test9.o: ../../test/tags/test9.cpp
	$(CXX) $(CXXFLAGS) -c -o $@ $<

test9:	../../test/tags/test9.o $(LIBS)
	$(LD) -o $@ $(LDFLAGS) $< -lmatroska -lebml

depend:
	$(CXX) $(CXXFLAGS) -MM $(SRC) > .depend

#
# include dependency files if they exist
#
ifneq ($(wildcard .depend),)
include .depend
endif

=== debian/changelog ===
libmatroska (0.6.3-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Mon,  5 Jan 2004 19:55:59 +0100

libmatroska (0.6.2-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Tue, 30 Dec 2003 10:59:47 +0100

libmatroska (0.6.1-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Thu, 30 Oct 2003 13:49:33 +0100

libmatroska (0.6.0-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Tue, 28 Oct 2003 23:09:34 +0100

libmatroska (0.5.3-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Wed, 22 Oct 2003 19:22:10 +0200

libmatroska (0.5.2-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Wed, 17 Sep 2003 22:22:10 +0200

libmatroska (0.5.1-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Mon,  1 Sep 2003 13:42:56 +0200

libmatroska (0.5.0-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Mon, 28 Jul 2003 10:49:27 +0200

libmatroska (0.4.4-2) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Sat, 14 Jun 2003 17:40:11 +0200

libmatroska (0.4.4-1) unstable; urgency=low

  * New version.

 -- Moritz Bunkus <moritz@bunkus.org>  Wed, 11 Jun 2003 20:32:09 +0200

libmatroska (0.4.3-1) unstable; urgency=low

  * New version with API changes.

 -- Moritz Bunkus <moritz@bunkus.org>  Wed, 21 May 2003 22:35:52 +0200

libmatroska (0.4.2-1) unstable; urgency=low

  * New version with API changes.

 -- Moritz Bunkus <moritz@bunkus.org>  Tue,  6 May 2003 22:33:44 +0200

libmatroska (0.4.1-2) unstable; urgency=low

  * Compiled with gcc 3.2.3

 -- Moritz Bunkus <moritz@bunkus.org>  Sun, 04 May 2003 22:11:33 +0200

libmatroska (0.4.1-1) unstable; urgency=low

  * Some bugfixes, memleak fixed.

 -- Moritz Bunkus <moritz@bunkus.org>  Sat, 03 May 2003 23:07:33 +0200

libmatroska (0.4.0-1) unstable; urgency=low

  * First alpha release :)

 -- Moritz Bunkus <moritz@bunkus.org>  Wed, 30 Apr 2003 10:44:33 +0200

libmatroska (0.2.0.20030425) unstable; urgency=low

  * New version with bugfixes by Steve.

 -- Moritz Bunkus <moritz@bunkus.org>  Fri, 25 Apr 2003 20:01:49 +0200

libmatroska (0.2.0.20030421) unstable; urgency=low

  * Separated libebml from libmatroska like in the upstream sources.)

 -- Moritz Bunkus <moritz@bunkus.org>  Mon, 21 Apr 2003 16:33:36 +0200

libmatroska (0.0.20030225) unstable; urgency=low

  * Initial Release.

 -- Moritz Bunkus <moritz@bunkus.org>  Tue, 25 Feb 2003 18:28:52 +0100

=== debian/control ===
Source: libmatroska
Priority: optional
Maintainer: Moritz Bunkus <moritz@bunkus.org>
Build-Depends: debhelper (>> 3.0.0), libebml-dev (>= 0.6.3-1)
Standards-Version: 3.5.8

Package: libmatroska-dev
Section: devel
Architecture: any
Depends: libebml-dev (>= 0.6.3-1)
Description: an extensible open standard Audio/Video container format
 Matroska is aiming to become the standard of Multimedia
 Container Formats one day. It is based on EBML (Extensible Binary
 Meta Language), a kind of binary version of XML. This way the
 significant advantages in terms of future format extensability
 are gained without breaking file support in old parsers.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=4

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

# configure: configure-stamp
# configure-stamp:
# 	dh_testdir
# 	# Add here commands to configure the package.

# 	touch configure-stamp


build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) -C make/linux $(DEB_BUILD_OPTIONS) LIBEBML_INCLUDE_DIR=/usr/include/ebml lib

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) -C make/linux $(DEB_BUILD_OPTIONS) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) -C make/linux prefix=$(CURDIR)/debian/tmp/usr install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_movefiles

#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
